### Method

# Gtk TreeModelget_valist

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_model_get_valist (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      va_list var_args
    )

#### Description [src]

Gets the value of one or more cells in the row referenced by `iter`.

See `gtk_tree_model_get()`, this version takes a va_list for language bindings to use.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A row in `tree_model`.

  The data is owned by the caller of the method.

`var_args`

  Type: `va_list`

  Va_list of column/return location pairs.